# Installment Plans Installment Plans ## Gets all of the installment plans in the system. - [GET /installmentPlans/{tenantId}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/installment-plans/listinstallmentplans.md): This method will scan all installment plans and and return them to the caller. ## Creates a new installment plan record that does not already exist. - [POST /installmentPlans/{tenantId}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/installment-plans/createinstallmentplan.md): This method will auto-generate an ID and create a new installment plan. If an ID is specified for the installment plan, an error will be thrown. ## Execute Batch Operations - [POST /installmentPlans/{tenantId}/batch](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/installment-plans/executebatchoperations.md): TAllows you to perform up to 100 parallel patch/delete operations ## Returns a installment plan from the system by its ID. - [DELETE /installmentPlans/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/installment-plans/deleteinstallmentplan.md): This method will delete a installment plan with the specified ID. ## Returns a installment plan from the system by its ID. - [GET /installmentPlans/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/installment-plans/getinstallmentplan.md): This method will look up a installment plan by the specified ID and return it back. ## Partially updates a installment plan with the specified ID. - [PATCH /installmentPlans/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/installment-plans/patchinstallmentplan.md): This method will patch an existing installment plan with the specified ID, using the HTTP PATCH specification. ## Updates a installment plan with the specified ID. - [PUT /installmentPlans/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/installment-plans/updateinstallmentplan.md): This method will update an existing installment plan with the specified ID.